Simulates an image shadow

- « Imagick::shadeImage

- Imagick::sharpenImage »

- PHP Manual
- Imagick
- Simulates an image shadow

# Imagick::shadowImage

(PECL imagick 2, PECL imagick 3)

Imagick::shadowImage — Simulates an image shadow

### Description

public Imagick::shadowImage(
float `$opacity`,
float `$sigma`,
int `$x`,
int `$y`
): bool

Simulates an image shadow.

### Parameters

`opacity`

`sigma`

`x`

`y`

### Return Values

Returns `true` on success.

### Examples

Example #1 Imagick::shadowImage()

    <?phpfunction shadowImage($imagePath) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->shadowImage(0.4, 10, 50, 5);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>